# shm_remove_var

(PHP 4, PHP 5, PHP 7, PHP 8)

shm_remove_var — Entfernt eine Variable aus dem gemeinsamen Speicherbereich

### Beschreibung

shm_remove_var(SysvSharedMemory `$shm`, int `$key`): bool

Entfernt die Variable mit dem angegebenen `key` und gibt den davon belegten Speicher wieder frei.

### Parameter-Liste

`shm`

  Ein gemeinsamer Speicherbereich, wie er von shm_attach() zurückgegeben wurde.

`key`

  Der Schlüssel der zu löschenden Variable.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
8.0.0 | `shm` erwartet nun eine SysvSharedMemory-Instanz; vorher wurde eine resource erwartet.

### Siehe auch

- shm_remove() - Entfernt einen gemeinsamen Speicherbereich unter UNIX

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open